Bug 179192 - fontconfig segfaults at %post step of the installation process
fontconfig segfaults at %post step of the installation process
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
rawhide
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Carl Worth
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2006-01-27 18:17 EST by Émeric Maschino
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-04 00:10:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Émeric Maschino 2006-01-27 18:17:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ia64; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
fontconfig 2.3.93.cvs20060124-1 segfaults during execution of fc-cache at %post step of the installation process. Previous fontconfig 2.3.93-4 was working fine (minor fc-cache unaligned accesses).

Version-Release number of selected component (if applicable):
fontconfig-2.3.93.cvs20060124-1

How reproducible:
Always

Steps to Reproduce:
1. Install/update fontconfig-2.3.93.cvs20060124-1.ia64.rpm
2.
3.
  

Actual Results:  Preparing...                ########################################### [100%]
   1:fontconfig             ########################################### [100%]
/var/tmp/rpm-tmp.82896: line 13:  7032 Segmentation fault      HOME=/root /usr/bin/fc-cache -f 2>/dev/null
error: %post(fontconfig-2.3.93.cvs20060124-1.ia64) scriptlet failed, exit status 139

Expected Results:  Preparing...                ########################################### [100%]
   1:fontconfig             ########################################### [100%]

Additional info:

Callstack:

#0  0x200000000033c171 in strlen () from /lib/libc.so.6.1
#1  0x20000000002da180 in vfprintf () from /lib/libc.so.6.1
#2  0x20000000002d30b0 in buffered_vfprintf () from /lib/libc.so.6.1
#3  0x20000000002d4070 in vfprintf () from /lib/libc.so.6.1
#4  0x200000000042f890 in __fprintf_chk () from /lib/libc.so.6.1
#5  0x4000000000001ca0 in scanDirs (list=0x60000000000080a0,
    config=0x6000000000004010, program=0x60000fffffe7fa4e "/usr/bin/fc-cache",
    force=0, verbose=0) at fc-cache.c:172
#6  0x4000000000002700 in main (argc=1, argv=0x60000fffffe7f7f8)
    at fc-cache.c:309
#7  0x200000000027ef80 in __libc_start_main () from /lib/libc.so.6.1
#8  0x4000000000001640 in _start ()
Comment 1 Émeric Maschino 2006-02-01 15:13:01 EST
Today fontconfig 2.3.93.cvs20060131-1 solved the problem.

Note You need to log in before you can comment on or make changes to this bug.